Description: Ohio State LAM MPI
Name: LAM
Version: 6.1
Release: 4
Icon: lam-mpi.gif
Packager: Dan Ridge <newt@beowulf.org>
Source: ftp.osc.edu:/pub/lam/lam61.tar.gz
Patch: lam-6.1-redhat.patch
Copyright: GPL
Group: Beowulf

%prep
%setup -n lam61
%patch -p1
# Patch the sources
# link the config file
# BTW: how can I get my arch conveniently?
cd Config
rm -f config
ln -s config.linux.ix86.rpm config
#ln -s config.linux.ix86 config

%build
make

%install
# binaries
cp /tmp/lam/bin/* /usr/bin
# libraries
cp /tmp/lam/lib/* /usr/lib
# headers
rm -rf /usr/lib/lam6.1
mkdir /usr/lib/lam6.1
mkdir /usr/lib/lam6.1/include
cp /tmp/lam/h/* /usr/lib/lam6.1/include
ln -sf /usr/lib/lam6.1/include /usr/include/lam
ln -sf /usr/include/lam /usr/include/mpi
ln -sf /usr/include/mpi/mpi.h /usr/include/mpi.h
# examples
cp -a examples /usr/lib/lam6.1
cp -a man/man1 /usr/man
cp -a man/man2 /usr/man
cp -a man/man3 /usr/man
cp -a man/man5 /usr/man
cp -a man/man7 /usr/man
cp -a schema /usr/lib/lam6.1
rm -rf /tmp/lam

%files
%doc doc
# Binaries
/usr/bin/bfctl
/usr/bin/bfstate
/usr/bin/doom
/usr/bin/fctl
/usr/bin/fstate
/usr/bin/hboot
/usr/bin/hcc
/usr/bin/hcp
/usr/bin/hf77
/usr/bin/lamboot
/usr/bin/lamclean
/usr/bin/lamd
/usr/bin/lamgrow
/usr/bin/lamshrink
/usr/bin/lamtrace
/usr/bin/loadgo
/usr/bin/mpimsg
/usr/bin/mpirun
/usr/bin/mpitask
/usr/bin/recon
/usr/bin/state
/usr/bin/sweep
/usr/bin/tkill
/usr/bin/tping
/usr/bin/wipe
# Libraries
/usr/lib/libargs.a
/usr/lib/libmpi.a
/usr/lib/libt.a
/usr/lib/libtrillium.a
/usr/lib/libtstdio.a
# Headers, examples, etc
/usr/include/mpi.h
/usr/include/lam
%dir /usr/include/mpi
/usr/lib/lam6.1/
# Man pages
/usr/man/man1/bfctl.1
/usr/man/man1/bfstate.1
/usr/man/man1/doom.1
/usr/man/man1/fctl.1
/usr/man/man1/fstate.1
/usr/man/man1/hboot.1
/usr/man/man1/hcc.1
/usr/man/man1/hf77.1
/usr/man/man1/introu.1
/usr/man/man1/lamboot.1
/usr/man/man1/lamclean.1
/usr/man/man1/lamgrow.1
/usr/man/man1/lamshrink.1
/usr/man/man1/lamtrace.1
/usr/man/man1/loadgo.1
/usr/man/man1/mpimsg.1
/usr/man/man1/mpirun.1
/usr/man/man1/mpitask.1
/usr/man/man1/recon.1
/usr/man/man1/state.1
/usr/man/man1/sweep.1
/usr/man/man1/tkill.1
/usr/man/man1/tping.1
/usr/man/man1/wipe.1
/usr/man/man2/GALL.2
/usr/man/man2/GCOMPS.2
/usr/man/man2/GJONES.2
/usr/man/man2/GNODES.2
/usr/man/man2/GOTBS.2
/usr/man/man2/IGNALL.2
/usr/man/man2/IGNCMP.2
/usr/man/man2/IGNDID.2
/usr/man/man2/IGNDTP.2
/usr/man/man2/IGNJON.2
/usr/man/man2/IGNOTB.2
/usr/man/man2/IGNTP.2
/usr/man/man2/IGORGN.2
/usr/man/man2/IGRTP.2
/usr/man/man2/INTROF.2
/usr/man/man2/KENTR.2
/usr/man/man2/KXIT.2
/usr/man/man2/MPIL_Comm_gps.2
/usr/man/man2/MPIL_Comm_id.2
/usr/man/man2/MPIL_Comm_parent.2
/usr/man/man2/MPIL_Signal.2
/usr/man/man2/MPIL_Spawn.2
/usr/man/man2/MPIL_Trace_off.2
/usr/man/man2/MPIL_Trace_on.2
/usr/man/man2/MPIL_Type_id.2
/usr/man/man2/MPIL_Universe_size.2
/usr/man/man2/MPI_Spawn.2
/usr/man/man2/NPROB.2
/usr/man/man2/NRCV.2
/usr/man/man2/NSND.2
/usr/man/man2/PRCV.2
/usr/man/man2/PRCVC.2
/usr/man/man2/PRCVO.2
/usr/man/man2/PSND.2
/usr/man/man2/PSNDC.2
/usr/man/man2/PSNDO.2
/usr/man/man2/RPLDGO.2
/usr/man/man2/RPWT.2
/usr/man/man2/TRCV.2
/usr/man/man2/TRROR.2
/usr/man/man2/TSND.2
/usr/man/man2/_kexit.2
/usr/man/man2/atkexit.2
/usr/man/man2/drecv.2
/usr/man/man2/dsend.2
/usr/man/man2/getall.2
/usr/man/man2/getcomps.2
/usr/man/man2/getjones.2
/usr/man/man2/getnall.2
/usr/man/man2/getnjones.2
/usr/man/man2/getnodeid.2
/usr/man/man2/getnodes.2
/usr/man/man2/getnodetype.2
/usr/man/man2/getnotb.2
/usr/man/man2/getntype.2
/usr/man/man2/getorigin.2
/usr/man/man2/getotbs.2
/usr/man/man2/getrent.2
/usr/man/man2/getrentc.2
/usr/man/man2/getroute.2
/usr/man/man2/getroute2.2
/usr/man/man2/getrtype.2
/usr/man/man2/introc.2
/usr/man/man2/kattach.2
/usr/man/man2/kcreate.2
/usr/man/man2/kdetach.2
/usr/man/man2/kdoom.2
/usr/man/man2/kenter.2
/usr/man/man2/kexit.2
/usr/man/man2/kinit.2
/usr/man/man2/krecv.2
/usr/man/man2/ksend.2
/usr/man/man2/ksr.2
/usr/man/man2/kstate.2
/usr/man/man2/lam_kpause.2
/usr/man/man2/lam_ksigblock.2
/usr/man/man2/lam_ksignal.2
/usr/man/man2/lam_ksigretry.2
/usr/man/man2/lam_ksigsetmask.2
/usr/man/man2/lam_ksigsetretry.2
/usr/man/man2/lam_rfclose.2
/usr/man/man2/lam_rfincr.2
/usr/man/man2/lam_rflseek.2
/usr/man/man2/lam_rfopen.2
/usr/man/man2/lam_rfposix.2
/usr/man/man2/lam_rfread.2
/usr/man/man2/lam_rfrmfd.2
/usr/man/man2/lam_rfstat.2
/usr/man/man2/lam_rfstate.2
/usr/man/man2/lam_rfwrite.2
/usr/man/man2/lam_rtrfforget.2
/usr/man/man2/lam_rtrfget.2
/usr/man/man2/lam_rtrforget.2
/usr/man/man2/lam_rtrget.2
/usr/man/man2/lam_rtrstore.2
/usr/man/man2/lam_rtrsweep.2
/usr/man/man2/lam_rtrudie.2
/usr/man/man2/lam_rtrwipe.2
/usr/man/man2/lamf_rfclose.2
/usr/man/man2/lamf_rfopen.2
/usr/man/man2/lamf_rfread.2
/usr/man/man2/lamf_rfwrite.2
/usr/man/man2/lpattach.2
/usr/man/man2/lpdetach.2
/usr/man/man2/nprobe.2
/usr/man/man2/nrecv.2
/usr/man/man2/nsend.2
/usr/man/man2/precv.2
/usr/man/man2/psend.2
/usr/man/man2/rbflook.2
/usr/man/man2/rbfparms.2
/usr/man/man2/rbfstate.2
/usr/man/man2/rbfsweep.2
/usr/man/man2/rbfudie.2
/usr/man/man2/rbfwipe.2
/usr/man/man2/recho.2
/usr/man/man2/rflat.2
/usr/man/man2/rflclean.2
/usr/man/man2/rforget.2
/usr/man/man2/rget.2
/usr/man/man2/rload.2
/usr/man/man2/rpcreate.2
/usr/man/man2/rpdoom.2
/usr/man/man2/rpgo.2
/usr/man/man2/rploadgo.2
/usr/man/man2/rpspawn.2
/usr/man/man2/rpstate.2
/usr/man/man2/rpwait.2
/usr/man/man2/rrsetrents.2
/usr/man/man2/trecv.2
/usr/man/man2/tsend.2
/usr/man/man3/FTTIME.3
/usr/man/man3/LTOT.3
/usr/man/man3/TTOL.3
/usr/man/man3/all_hash.3
/usr/man/man3/all_list.3
/usr/man/man3/all_opt.3
/usr/man/man3/all_queue.3
/usr/man/man3/libmpi.3
/usr/man/man3/ltot.3
/usr/man/man3/tstdio.3
/usr/man/man3/ttime.3
/usr/man/man3/ttol.3
/usr/man/man5/CONSTANTS.5
/usr/man/man5/appschema.5
/usr/man/man5/bhost.5
/usr/man/man5/procschema.5
/usr/man/man7/LAM.7
/usr/man/man7/MPI.7
/usr/man/man7/lam.7
/usr/man/man7/mpi.7
